Bug 971878 - /tmp on tmpfs breaks simple-mtpfs
/tmp on tmpfs breaks simple-mtpfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: simple-mtpfs (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 09:34 EDT by Ralf Corsepius
Modified: 2016-05-31 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: simple-mtpfs-0.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 21:12:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2013-06-07 09:34:24 EDT
Description of problem:

I am trying to transfer files from my Fedora 18 netbook to my Android tablet using rsync

During the file transfer simple-mtpfs errors out complaining about lack of disk space:
...
rsync: write failed on "/mnt/External SD/Music/group/song.mp3": No space left on device (28)
rsync error: error in file IO (code 11) at receiver.c(322) [receiver=3.0.9]
rsync: connection unexpectedly closed (1196 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(605) [sender=3.0.9]

Apparent cause is simple-mtpfs running out of disk-space below /tmp:

# df
Filesystem                      1K-blocks     Used Available Use% Mounted on
devtmpfs                          1016844        0   1016844   0% /dev
tmpfs                             1026668       68   1026600   1% /dev/shm
tmpfs                             1026668     9748   1016920   1% /run
tmpfs                             1026668        0   1026668   0% /sys/fs/cgroup
/dev/mapper/VolGroup02-LogVol00  10480200  8737144   1204024  88% /
tmpfs                             1026668  1024476      2192 100% /tmp
/dev/sda10                         497572    87512    383948  19% /boot
simple-mtpfs                     21124976  2310600  18814376  11% /mnt

Seemingly, simple-mtpfs stores a lot of data below /tmp (/tmp/simple-mtpfs-*), which easily can exceed the amount of RAM available in /tmp (tmpfs) on small RAM systems.

Note: In this case, the netbook only has 2GB of RAM, while /mnt (On the Android tablet) is much bigger (>16 GB). The amount of data to be copied is ca. 4GB.

Version:
simple-mtpfs-0.1-4.fc18.i686

How reproducible:
Always.

Steps to Reproduce:
1. rsync more data than tmpfs's size to an simple-mtpfs mounted file system


Actual results:
c.f. above

Expected results:
Function.
Comment 1 Harald Reindl 2013-08-06 08:28:36 EDT
which is one of many examples which confirms mine and the opinion of many others that "/tmp on tmpfs" is a pretty dumb default for a operating system abd broken by design
Comment 2 Peter Hatina 2013-08-14 05:23:13 EDT
You can redirect simple-mtpfs to some other temporary directory either using -o tmp-dir. I strongly recommend you to use current git code, where you can specify TMPDIR.
Comment 3 Ralf Corsepius 2013-08-14 06:21:10 EDT
(In reply to Peter Hatina from comment #2)
> You can redirect simple-mtpfs to some other temporary directory either using
> -o tmp-dir. I strongly recommend you to use current git code, where you can
> specify TMPDIR.

Instead of trying to find weak excuses, how about you to fix this package accordingly, rsp. RH to revert this /tmp on tmpfs absurdity?
Comment 4 Peter Hatina 2013-10-18 08:14:21 EDT
(In reply to Ralf Corsepius from comment #3)
> (In reply to Peter Hatina from comment #2)
> > You can redirect simple-mtpfs to some other temporary directory either using
> > -o tmp-dir. I strongly recommend you to use current git code, where you can
> > specify TMPDIR.
> 
> Instead of trying to find weak excuses, how about you to fix this package
> accordingly, rsp. RH to revert this /tmp on tmpfs absurdity?

Alright then.
Comment 5 Fedora Update System 2013-12-06 04:42:07 EST
simple-mtpfs-0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/simple-mtpfs-0.2-1.fc20
Comment 6 Fedora Update System 2013-12-06 04:42:23 EST
simple-mtpfs-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/simple-mtpfs-0.2-1.fc19
Comment 7 Fedora Update System 2013-12-06 14:59:01 EST
Package simple-mtpfs-0.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing simple-mtpfs-0.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22836/simple-mtpfs-0.2-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora End Of Life 2013-12-21 10:51:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora Update System 2013-12-27 21:12:13 EST
simple-mtpfs-0.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.